# Uses of Interface
org.apache.cxf.ws.addressing.MessageIdCache

Packages that use MessageIdCache
Package
Description
org.apache.cxf.ws.addressing

- ## Uses of MessageIdCache in org.apache.cxf.ws.addressing

  Fields in org.apache.cxf.ws.addressing declared as MessageIdCache
  Modifier and Type
  Field
  Description
  `protected MessageIdCache`
  MAPAggregator.`messageIdCache`
  Methods in org.apache.cxf.ws.addressing that return MessageIdCache
  Modifier and Type
  Method
  Description
  `MessageIdCache`
  MAPAggregator.`getMessageIdCache()`
  Returns the cache used to enforce duplicate message IDs when `MAPAggregator.allowDuplicates()` returns `false`.
  `MessageIdCache`
  WSAddressingFeature.`getMessageIdCache()`
  Returns the cache used to enforce duplicate message IDs when `WSAddressingFeature.isAllowDuplicates()` returns `false`.
  Methods in org.apache.cxf.ws.addressing with parameters of type MessageIdCache
  Modifier and Type
  Method
  Description
  `void`
  MAPAggregator.`setMessageIdCache(MessageIdCache messageIdCache)`
  Sets the cache used to enforce duplicate message IDs when `MAPAggregator.allowDuplicates()` returns `false`.
  `void`
  WSAddressingFeature.`setMessageIdCache(MessageIdCache messageIdCache)`
  Sets the cache used to enforce duplicate message IDs when `WSAddressingFeature.isAllowDuplicates()` returns `false`.